# wxProtocolLog Class Reference
[Networking]

`#include <wx/protocol/log.h>`

## Detailed Description

Class allowing to log network operations performed by wxProtocol.

##

Library: wxNet

Category: Networking

See also:
  wxProtocol

## Public Member Functions
| wxProtocolLog (const wxString &traceMask)
| Create object doing the logging using wxLogTrace() with the specified trace mask.
virtual void | LogRequest (const wxString &str)
| Called by wxProtocol-derived objects to log strings sent to the server.
virtual void | LogResponse (const wxString &str)
| Called by wxProtocol-derived objects to log strings received from the server.
## Protected Member Functions
virtual void | DoLogString (const wxString &str)
| Log the given string.

List of all members.

## Constructor & Destructor Documentation

wxProtocolLog::wxProtocolLog | ( | const wxString & | traceMask | ) |

Create object doing the logging using wxLogTrace() with the specified trace mask.

If you override DoLogString() in your class the traceMask may be left empty but it must have a valid value if you rely on the default DoLogString() implementation.

## Member Function Documentation

virtual void wxProtocolLog::DoLogString | ( | const wxString & | str | ) | `[protected, virtual]`

Log the given string.

This function is called from LogRequest() and LogResponse() and by default uses wxLogTrace() with the trace mask specified in the constructor but can be overridden to do something different by the derived classes.

virtual void wxProtocolLog::LogRequest | ( | const wxString & | str | ) | `[virtual]`

Called by wxProtocol-derived objects to log strings sent to the server.

Default implementation prepends a client-to-server marker to str and calls DoLogString().

virtual void wxProtocolLog::LogResponse | ( | const wxString & | str | ) | `[virtual]`

Called by wxProtocol-derived objects to log strings received from the server.

Default implementation prepends a server-to-client marker to str and calls DoLogString().

|  | [ top ]